{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.dragon_egg": {
      "initial_state": "cold",
      "states": {
        "cold": {
          "animations": ["idle"],
          "transitions": [
            { "warming": "query.property('silverlabs:egg_stage') == 1" }
          ]
        },
        "warming": {
          "animations": ["wobble"],
          "particle_effects": [
            { "effect": "smoke" }
          ],
          "transitions": [
            { "hot": "query.property('silverlabs:egg_stage') == 2" }
          ]
        },
        "hot": {
          "animations": ["shake"],
          "particle_effects": [
            { "effect": "flame" },
            { "effect": "smoke" }
          ],
          "transitions": [
            { "hatching": "query.property('silverlabs:egg_stage') == 3" }
          ]
        },
        "hatching": {
          "animations": ["shake"],
          "particle_effects": [
            { "effect": "flame" }
          ]
        }
      }
    }
  }
}